# Makefile.in generated automatically by automake 1.1l from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@
target_alias = @target_alias@
build_alias = @build_alias@
host_triplet = @host@
target_triplet = @target@
build_triplet = @build@
host_alias = @host_alias@
have_resolv_conf = @have_resolv_conf@
A_STDIO = @A_STDIO@
CC = @CC@
VERSION = @VERSION@
TAR = @TAR@
tclinclude = @tclinclude@
icondir = @icondir@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
CHMOD = @CHMOD@
COMPRESS = @COMPRESS@
CVS = @CVS@
PACKAGE = @PACKAGE@
HTZLIB = @HTZLIB@
have_rlogin = @have_rlogin@
have_telnet = @have_telnet@
HTWAIS = @HTWAIS@
have_tn3270 = @have_tn3270@
PURIFY_CACHE = @PURIFY_CACHE@
ac_bn = @ac_bn@
CP = @CP@
AR = @AR@
MKDIR = @MKDIR@
RANLIB = @RANLIB@
ac_sys_afs_sysname = @ac_sys_afs_sysname@
ac_afsws_fs_found = @ac_afsws_fs_found@
libtcl = @libtcl@
subdirs = @subdirs@
SED = @SED@
RM = @RM@

lib_LIBRARIES = libwww.a

SUBDIRS = windows vms

#	.h files are distributed but originally are made from the
#	self-documenting hypertext files.
SUFFIXES = .h .html .txt

AUTOMAKE_OPTIONS = foreign

libwww_a_SOURCES = \
	HTParse.c	HTAccess.c 	HTProxy.c \
	HTMethod.c 	HTProt.c 	HTCache.c \
	HTReqMan.c 	HTDNS.c 	HTArray.c \
        HTFile.c 	HTBTree.c 	HTMulti.c \
	HTFTP.c 	HTTCP.c     	SGML.c \
	HTML.c		HTMLPDTD.c 	HTDir.c \
	HTFTPDir.c	HTEPtoCl.c	HTStyle.c \
	HTPlain.c	HTWriter.c  	HTFWrite.c \
        HTMLGen.c	HTTee.c 	HTXParse.c \
	HTChunk.c 	HTAtom.c   	HTAnchor.c \
	HTList.c  	HTString.c 	HTAlert.c \
	HTFormat.c 	HTHist.c 	HTMemory.c \
	HTInit.c 	HTBInit.c  	HTRules.c \
	HTMIME.c 	HTMIMERq.c 	HTBound.c \
	HTConLen.c 	HTHeader.c	HTBind.c \
	HTGopher.c 	HTTelnet.c	HTNetTxt.c \
	HTNews.c  	HTWSRC.c 	HTSocket.c \
	HTAAUtil.c 	HTAABrow.c 	HTAssoc.c \
	HTUU.c		HTTeXGen.c	HTEscape.c \
	HTDescpt.c 	HTGuess.c 	HTWWWStr.c \
	HTIcons.c 	HTError.c 	HTLog.c \
	HTHome.c 	HTDialog.c	HTNDir.c \
	HTTP.c		HTTPServ.c	HTNewsRq.c \
	HTTPGen.c 	HTTPReq.c 	HTTPRes.c \
	HTNet.c 	HTEvtLst.c	HTNewsLs.c \
	HTUser.c	HTMIMPrs.c	HTEvent.c \
	HTResponse.c	HTStream.c	HTTrans.c \
	HTChannl.c	HTInet.c	HTHost.c \
	HTLocal.c	HTReader.c	HTANSI.c \
	HTBufWrt.c	HTTChunk.c	HTHInit.c \
	HTMIMImp.c	HTSChunk.c	HTLib.c \
	HTLink.c 	HTFilter.c	HTUTree.c \
	HTPEP.c		HTProfil.c	HTMerge.c \
	HTMux.c		HTDemux.c	HTMuxTx.c \
	HTMuxCh.c	HTTimer.c	HTTrace.c \
	HTMemLog.c

libwww_a_LIBADD = @HTWAIS@ @HTZLIB@

EXTRA_libwww_a_SOURCES = \
	HTWAIS.c HTZip.c

libwww_a_DEPENDENCIES = @HTWAIS@ @HTZLIB@

BUILT_SOURCES = sysdep.h \
	WWWUtil.h 	WWWCore.h 	WWWLib.h \
	WWWDir.h 	WWWFTP.h 	WWWFile.h \
	WWWStream.h 	WWWHTML.h 	WWWHTTP.h \
	WWWNews.h 	WWWTrans.h 	WWWTelnt.h \
	WWWCache.h 	WWWApp.h 	WWWInit.h \
	WWWGophe.h	WWWMIME.h	WWWWAIS.h \
	WWWMux.h	WWWZip.h \
	HTParse.h 	HTAccess.h  	HTProxy.h \
	HTMethod.h 	HTProt.h 	HTCache.h \
	HTReqMan.h 	HTReq.h  	HTDNS.h \
	HTMulti.h 	HTBTree.h 	HTFTP.h \
	SGML.h		HTML.h		HTMLPDTD.h \
	HTNet.h 	HTNetMan.h 	HTFTPDir.h \
	HTPlain.h	HTWriter.h	HTFile.h \
	HTFWrite.h 	HTMLGen.h	HTTCP.h \
	HTEvtLst.h 	HTArray.h  	HTChunk.h \
	HTUser.h	HTMIMPrs.h	HTEvent.h \
	HTStream.h 	HTStruct.h 	HTMulpar.h \
	HTTee.h 	HTXParse.h 	HTEPtoCl.h \
	HTAtom.h 	HTAnchor.h 	HTAncMan.h \
	HTList.h 	HTWWWStr.h 	HTMemory.h \
	HTString.h 	HTAlert.h 	HTRules.h \
	HTFormat.h  	HTStyle.h	HTNewsLs.h \
	HTInit.h 	HTBInit.h	HTBind.h \
	HTMIME.h 	HTMIMERq.h 	HTBound.h \
	HTConLen.h 	HTHeader.h	HTHist.h \
	HTGopher.h 	HTDir.h		HTUtils.h \
	HTNewsRq.h	HText.h 	HTTelnet.h \
	HTNDir.h  	HTWSRC.h 	HTSocket.h \
	HTAAUtil.h 	HTAABrow.h 	HTAssoc.h \
	HTUU.h		HTTeXGen.h	HTDescpt.h \
	HTGuess.h	HTNetTxt.h 	HTBind.h \
	HTIcons.h 	HTError.h 	HTLog.h \
	HTHome.h 	HTDialog.h 	HTEscape.h \
	HTTP.h		HTTPServ.h	HTNews.h \
	HTTPGen.h 	HTTPReq.h 	HTTPRes.h \
	HTTPUtil.h	HTResMan.h	HTTrans.h \
	HTIOStream.h	HTChannl.h	HTInet.h \
	HTHost.h	HTLocal.h	HTReader.h \
	HTANSI.h	HTBufWrt.h	HTTChunk.h \
	HTHInit.h	HTMIMImp.h	HTSChunk.h \
	HTLib.h		HTLink.h	HTFilter.h \
	HTUTree.h	HTPEP.h		HTProfil.h \
	HTMerge.h	HTResponse.h 	HTMuxHeader.h \
	HTMux.h		HTDemux.h	HTMuxTx.h \
	HTMuxCh.h 	HTHstMan.h	HTMemLog.h \
	HTTimer.h	HTWAIS.h	HTZip.h

DOCS :=	$(wildcard *.html)

EXTRA_DIST = \
	$(BUILT_SOURCES) \
	$(DOCS)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(lib_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libwww_a_OBJECTS =  HTParse.o HTAccess.o HTProxy.o HTMethod.o HTProt.o \
HTCache.o HTReqMan.o HTDNS.o HTArray.o HTFile.o HTBTree.o HTMulti.o \
HTFTP.o HTTCP.o SGML.o HTML.o HTMLPDTD.o HTDir.o HTFTPDir.o HTEPtoCl.o \
HTStyle.o HTPlain.o HTWriter.o HTFWrite.o HTMLGen.o HTTee.o HTXParse.o \
HTChunk.o HTAtom.o HTAnchor.o HTList.o HTString.o HTAlert.o HTFormat.o \
HTHist.o HTMemory.o HTInit.o HTBInit.o HTRules.o HTMIME.o HTMIMERq.o \
HTBound.o HTConLen.o HTHeader.o HTBind.o HTGopher.o HTTelnet.o \
HTNetTxt.o HTNews.o HTWSRC.o HTSocket.o HTAAUtil.o HTAABrow.o HTAssoc.o \
HTUU.o HTTeXGen.o HTEscape.o HTDescpt.o HTGuess.o HTWWWStr.o HTIcons.o \
HTError.o HTLog.o HTHome.o HTDialog.o HTNDir.o HTTP.o HTTPServ.o \
HTNewsRq.o HTTPGen.o HTTPReq.o HTTPRes.o HTNet.o HTEvtLst.o HTNewsLs.o \
HTUser.o HTMIMPrs.o HTEvent.o HTResponse.o HTStream.o HTTrans.o \
HTChannl.o HTInet.o HTHost.o HTLocal.o HTReader.o HTANSI.o HTBufWrt.o \
HTTChunk.o HTHInit.o HTMIMImp.o HTSChunk.o HTLib.o HTLink.o HTFilter.o \
HTUTree.o HTPEP.o HTProfil.o HTMerge.o HTMux.o HTDemux.o HTMuxTx.o \
HTMuxCh.o HTTimer.o HTTrace.o HTMemLog.o
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in README


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) \
	$(TEXINFOS) $(MANS) $(EXTRA_DIST)
SOURCES = $(libwww_a_SOURCES) $(EXTRA_libwww_a_SOURCES)
OBJECTS = $(libwww_a_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o .h .html .txt
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL) 
	cd $(top_srcdir) && automake --foreign Library/src/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLIBRARIES:

clean-libLIBRARIES:
	test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)

distclean-libLIBRARIES:

maintainer-clean-libLIBRARIES:

install-libLIBRARIES: $(lib_LIBRARIES)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(libdir)
	list="$(lib_LIBRARIES)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(INSTALL_DATA) $$p $(libdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(libdir)/$$p; \
	  else :; fi; \
	done
	$(POST_INSTALL)
	@list="$(lib_LIBRARIES)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(RANLIB) $(libdir)/$$p"; \
	    $(RANLIB) $(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	list="$(lib_LIBRARIES)"; for p in $$list; do \
	  rm -f $(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:
$(libwww_a_OBJECTS): ../../config.h

libwww.a: $(libwww_a_OBJECTS) $(libwww_a_DEPENDENCIES)
	rm -f libwww.a
	$(AR) cru libwww.a $(libwww_a_OBJECTS) $(libwww_a_LIBADD)
	$(RANLIB) libwww.a

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive \
mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@for subdir in $(SUBDIRS); do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = Library/src
distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do		\
	  test -d $(distdir)/$$subdir		\
	  || mkdir $(distdir)/$$subdir		\
	  || exit 1;				\
	  chmod 755 $(distdir)/$$subdir;	\
	  (cd $$subdir && $(MAKE) distdir=../$(distdir)/$$subdir distdir) \
	    || exit 1; \
	done
info: info-recursive
dvi: dvi-recursive
check: all-am
	$(MAKE) check-recursive
installcheck: installcheck-recursive
all-am: $(LIBRARIES) $(BUILT_SOURCES) Makefile

install-exec-am: install-libLIBRARIES

uninstall-am: uninstall-libLIBRARIES

install-exec: install-exec-recursive install-exec-am
	$(NORMAL_INSTALL)

install-data: install-data-recursive
	$(NORMAL_INSTALL)

install: install-recursive install-exec-am
	@:

uninstall: uninstall-recursive uninstall-am

all: all-recursive all-am

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs: installdirs-recursive
	$(mkinstalldirs)  $(libdir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-libLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean-am:  clean-libLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

distclean-am:  distclean-libLIBRARIES distclean-compile distclean-tags \
		distclean-generic clean-am

maintainer-clean-am:  maintainer-clean-libLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am

mostlyclean:  mostlyclean-am mostlyclean-recursive

clean:  clean-am clean-recursive

distclean:  distclean-am distclean-recursive
	rm -f config.status

maintainer-clean:  maintainer-clean-am maintainer-clean-recursive
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-libLIBRARIES distclean-libLIBRARIES \
clean-libLIBRARIES maintainer-clean-libLIBRARIES uninstall-libLIBRARIES \
install-libLIBRARIES mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck all-am install-exec-am uninstall-am install-exec \
install-data install uninstall all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean

.html.h:
	www -w90 -na -p -to text/x-c $(srcdir)/$(*F).html > $(srcdir)/$(*F).h

inc: $(BUILT_SOURCES)
	@echo Generated built sources

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
